Subject: bug#26811: guix does not resume download on FTP timeouts

From: Sergei Trofimovich <[email-masked]>
Date: Sun, 7 May 2017 19:49:32 +0100

On Sun, 7 May 2017 14:25:43 -0400
Leo Famulari <[email-masked]> wrote:

> On Sun, May 07, 2017 at 09:31:59AM +0100, Sergei Trofimovich wrote:
> > I have slow internet :)
> > 
> > It looks like ftp://tug.org has a FTP session timeout of 2 hours 11 minutes, or something like that.
> > Over night I tried to build sbcl and failed. Note how download silently stopped at ~80% [1].
> > 
> > Would be nice if guix had a mechanism to reconnect to FTP and continue download after timeout.  
> 
> In the meantime, you can download the files with a resumable tool like
> wget, and then use `guix download file:///path/to/file` to work around
> this missing feature. Note that both the client *and* the server must
> support resuming downloads for this to work.

The workaround worked.

I've noticed it took guix-daemon 2GB of RAM to process this file locally.
Does guix keep all the file in RAM until download finishes?

Thank you!

-- 

  Sergei